Freeciv-3.1: plr_report Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Attributes
plr_report Class Reference

`#include <plrdlg.h>`

Inheritance diagram for plr_report:

## Public Member Functions

| plr_report ()
| ~plr_report ()
void | update_report (bool update_selection=true)
void | init ()
void | call_meeting ()

## Private Slots

void | req_meeeting ()
void | req_caancel_threaty ()
void | req_wiithdrw_vision ()
void | toggle_ai_mode ()
void | show_relations_toggle ()
void | show_techs_toggle ()
void | show_wonders_toggle ()

## Private Attributes

plr_widget * | plr_wdg
QLabel * | plr_label
QLabel * | ally_label
QLabel * | tech_label
QLabel * | wonder_label
QSplitter * | v_splitter
QSplitter * | h_splitter
QPushButton * | meet_but
QPushButton * | cancel_but
QPushButton * | withdraw_but
QPushButton * | toggle_ai_but
QPushButton * | show_relations
QPushButton * | show_techs
QPushButton * | show_wonders
QVBoxLayout * | layout
QHBoxLayout * | hlayout
struct player * | other_player
int | index

## Detailed Description

Definition at line 160 of file plrdlg.h.

## Constructor & Destructor Documentation

## ◆ plr_report()

plr_report::plr_report | ( |  | ) |

Constructor for plr_report

Definition at line 790 of file plrdlg.cpp.

## ◆ ~plr_report()

plr_report::~plr_report | ( |  | ) |

Destructor for plr_report

Definition at line 873 of file plrdlg.cpp.

## Member Function Documentation

## ◆ call_meeting()

void plr_report::call_meeting | ( |  | ) |

Public function to call meeting

Definition at line 891 of file plrdlg.cpp.

Referenced by plr_widget::mousePressEvent().

## ◆ init()

void plr_report::init | ( |  | ) |

Adds plr_report to tab widget

Definition at line 881 of file plrdlg.cpp.

Referenced by popup_players_dialog().

## ◆ req_caancel_threaty

void plr_report::req_caancel_threaty | ( |  | ) |

privateslot

Slot for canceling threaty (name changed to cheat autoconnect, and doubled execution)

Definition at line 902 of file plrdlg.cpp.

Referenced by plr_report().

## ◆ req_meeeting

void plr_report::req_meeeting | ( |  | ) |

privateslot

Slot for meeting request

Definition at line 912 of file plrdlg.cpp.

Referenced by call_meeting(), and plr_report().

## ◆ req_wiithdrw_vision

void plr_report::req_wiithdrw_vision | ( |  | ) |

privateslot

somehow autoconnect feature messes here and names are bit odd to cheat autoconnect

Slot for withdrawing vision

Definition at line 921 of file plrdlg.cpp.

Referenced by plr_report().

## ◆ show_relations_toggle

void plr_report::show_relations_toggle | ( |  | ) |

privateslot

Slot to enable/disable relations display

Definition at line 986 of file plrdlg.cpp.

Referenced by plr_report().

## ◆ show_techs_toggle

void plr_report::show_techs_toggle | ( |  | ) |

privateslot

Slot to enable/disable techs display

Definition at line 1000 of file plrdlg.cpp.

Referenced by plr_report().

## ◆ show_wonders_toggle

void plr_report::show_wonders_toggle | ( |  | ) |

privateslot

Slot to enable/disable wonders display

Definition at line 1014 of file plrdlg.cpp.

Referenced by plr_report().

## ◆ toggle_ai_mode

void plr_report::toggle_ai_mode | ( |  | ) |

privateslot

Slot for changing AI mode

Definition at line 931 of file plrdlg.cpp.

Referenced by plr_report().

## ◆ update_report()

void plr_report::update_report | ( | bool | update_selection = `true` | ) |

Updates widget

Definition at line 1043 of file plrdlg.cpp.

Referenced by plr_widget::nation_selected(), popup_players_dialog(), and real_players_dialog_update().

## Field Documentation

## ◆ ally_label

QLabel* plr_report::ally_label

private

Definition at line 166 of file plrdlg.h.

Referenced by plr_report(), show_relations_toggle(), and update_report().

## ◆ cancel_but

QPushButton* plr_report::cancel_but

private

Definition at line 172 of file plrdlg.h.

Referenced by plr_report(), and update_report().

## ◆ h_splitter

QSplitter* plr_report::h_splitter

private

Definition at line 170 of file plrdlg.h.

Referenced by plr_report().

## ◆ hlayout

QHBoxLayout* plr_report::hlayout

private

Definition at line 179 of file plrdlg.h.

Referenced by plr_report().

## ◆ index

int plr_report::index

private

Definition at line 188 of file plrdlg.h.

Referenced by init().

## ◆ layout

QVBoxLayout* plr_report::layout

private

Definition at line 178 of file plrdlg.h.

Referenced by plr_report().

## ◆ meet_but

QPushButton* plr_report::meet_but

private

Definition at line 171 of file plrdlg.h.

Referenced by call_meeting(), plr_report(), and update_report().

## ◆ other_player

struct player* plr_report::other_player

private

Definition at line 187 of file plrdlg.h.

Referenced by req_caancel_threaty(), req_meeeting(), req_wiithdrw_vision(), and update_report().

## ◆ plr_label

QLabel* plr_report::plr_label

private

Definition at line 165 of file plrdlg.h.

Referenced by plr_report(), and update_report().

## ◆ plr_wdg

plr_widget* plr_report::plr_wdg

private

Definition at line 164 of file plrdlg.h.

Referenced by plr_report(), toggle_ai_mode(), and update_report().

## ◆ show_relations

QPushButton* plr_report::show_relations

private

Definition at line 175 of file plrdlg.h.

Referenced by plr_report(), and show_relations_toggle().

## ◆ show_techs

QPushButton* plr_report::show_techs

private

Definition at line 176 of file plrdlg.h.

Referenced by plr_report(), and show_techs_toggle().

## ◆ show_wonders

QPushButton* plr_report::show_wonders

private

Definition at line 177 of file plrdlg.h.

Referenced by plr_report(), and show_wonders_toggle().

## ◆ tech_label

QLabel* plr_report::tech_label

private

Definition at line 167 of file plrdlg.h.

Referenced by plr_report(), show_techs_toggle(), and update_report().

## ◆ toggle_ai_but

QPushButton* plr_report::toggle_ai_but

private

Definition at line 174 of file plrdlg.h.

Referenced by plr_report(), and update_report().

## ◆ v_splitter

QSplitter* plr_report::v_splitter

private

Definition at line 169 of file plrdlg.h.

Referenced by plr_report().

## ◆ withdraw_but

QPushButton* plr_report::withdraw_but

private

Definition at line 173 of file plrdlg.h.

Referenced by plr_report(), and update_report().

## ◆ wonder_label

QLabel* plr_report::wonder_label

private

Definition at line 168 of file plrdlg.h.

Referenced by plr_report(), show_wonders_toggle(), and update_report().